Subject: bug#18863: closed (Re: bug#18863: grep -b bug)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Oct 2014 12:39:03 +0000

Your bug report

#18863: grep -b bug

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18863: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18863
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18863: grep -b bug
From: Eric Blake <[email-masked]>
To: 王琦 <[email-masked]>, [email-masked]
Date: Tue, 28 Oct 2014 06:37:58 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 18863 notabug
thanks

On 10/27/2014 01:49 AM, 王琦 wrote:
> Hi, I found that "grep -b" doesn't work on my machine. the expected result for below command is "7:not", but I got 0 $ echo gnu is not unix | grep -b -o "not" 0:not Bash version 3.2.25 Linux version 2.6.18 Thanks. 发自邮箱大师

[your report was hard to read because you failed to use line wrapping]

Thanks for the report.  However, I cannot reproduce it on newer grep,
and have to assume the error has either been fixed in the meantime.
Therefore, I'm closing out this bug report, although you should feel
free to make further comments or even reopen this if you can demonstrate
that a problem still exists.

$ grep --version | head -n1
grep (GNU grep) 2.18
$ echo gnu is not unix | grep -b -o not
7:not

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: grep -b bug
From: 王琦 <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 27 Oct 2014 15:49:12 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I found that "grep -b" doesn't work on my machine. the expected result for below command is "7:not", but I got 0 $ echo gnu is not unix | grep -b -o "not" 0:not Bash version 3.2.25 Linux version 2.6.18 Thanks. 发自邮箱大师